﻿package clases {
    import flash.display.MovieClip;
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.net.URLRequest;
	import flash.media.SoundMixer;
	import flash.media.SoundTransform;

 
    public class SonidosPompas {
		public var chanel:SoundChannel= new SoundChannel;
		public var chanel2:SoundChannel= new SoundChannel;
		public var chanel_sfx:SoundChannel= new SoundChannel;
		public var sonido:Sound = new Sound;
		public var sonido2:Sound = new Sound;
		public var sonido_sfx:Sound = new Sound;
		public var sonidoJuego;
		public var volumen:SoundTransform;
		public var vol:Number = 0.2;
		public var pan:Number = 0;

 
		/* SONIDOS DE TÍTULOS DE PORTADAS DE JUEGOS*/
		//////////////////////
		public function sonidos_juego(tipo_sonido:String, titulo_juego:String, num:Number){
			switch (tipo_sonido){
				case "titulo":
				sonidoJuego = "sonidos/c_"+titulo_juego + "_" + num + ".mp3";
				if (sonido != null){
					chanel.stop();
				}
				break;
				case "instruccion":
				sonidoJuego = "sonidos/c_instr_"+titulo_juego + "_" + num + ".mp3";
				/*if (sonido != null){
					chanel.stop();
				}*/
				break;
				case "acierto":
				sonidoJuego = "sonidos/c_b_"+titulo_juego + "_" + num + ".mp3";
				break;
				case "fallo":
				sonidoJuego = "sonidos/c_m_"+titulo_juego + "_" + num + ".mp3";
				break;
				case "objeto":
				sonidoJuego = "sonidos/c_obj_"+titulo_juego + "_" + num + ".mp3";
				if (sonido != null){
				chanel.stop();
			}
				break;
			}
			sonido = new Sound();
			sonido.load(new URLRequest(sonidoJuego));
			chanel = new SoundChannel();
			chanel = sonido.play();
		}
		
		public function stop_sonidos(){
			chanel.stop();
			if(SoundMixer.areSoundsInaccessible() == false) {
            	SoundMixer.stopAll();
            }else{
				SoundMixer.stopAll();
			}
		}
		/* SONIDOS DE SINTONÍAS*/
		//////////////////////
		public function sintonia(tipo_sonido:String, num:Number){
			switch (tipo_sonido){
				case tipo_sonido:
				sonidoJuego = "sonidos/sintonia_"+tipo_sonido + "_" + num + ".mp3";
				break;
			}
			if (tipo_sonido=="salir_metodo"){
				sonido = new Sound();
				sonido.load(new URLRequest(sonidoJuego));
				chanel2 = new SoundChannel();
				chanel2 = sonido.play(0, 1);
			}else if (tipo_sonido=="intro_metodo"){
				sonido = new Sound();
				sonido.load(new URLRequest(sonidoJuego));
				chanel2 = new SoundChannel();
				chanel2 = sonido.play(0, 1);
			}else{
				sonido = new Sound();
				sonido.load(new URLRequest(sonidoJuego));
				chanel2 = new SoundChannel();
				chanel2 = sonido.play(0, 99);
			}
		}
		
		
		/* SONIDOS DE ACIERTO GENÉRICOS*/
		//////////////////////
		public function acierto(){
			var Sonidos_bien:Array=new Array();
			for (var i=1; i<=9; i++){
				Sonidos_bien.push("c_b"+i+".mp3");
			}
			var b = int(Math.random()*8)+1;
				switch (b){
				case (b):
					sonidoJuego = "sonidos/"+Sonidos_bien[b-1];
					break;
				}
			sonido = new Sound();
			sonido.load(new URLRequest(sonidoJuego));
			chanel = new SoundChannel();
			chanel = sonido.play();
		}
		
		/* SONIDOS DE ACIERTO POR JUEGOS*/
		//////////////////////
		public function acierto_fallo_sfx(tipo:String, que_sonido:Number){
			switch (tipo){
				case "acierto":
				sonidoJuego = "sonidos/sfx_b_"+que_sonido+".mp3";
				break;
				case "fallo":
				sonidoJuego = "sonidos/sfx_m_"+que_sonido+".mp3";
				break;
				case "acierto_final":
				sonidoJuego = "sonidos/sfx_bf_"+que_sonido+".mp3";
				break;
				case "pinta":
				sonidoJuego = "sonidos/sfx_pinta_"+que_sonido+".mp3";
				break;
			}
			
			sonido_sfx = new Sound();
			sonido_sfx.load(new URLRequest(sonidoJuego));
			chanel_sfx = new SoundChannel();
			chanel_sfx = sonido_sfx.play();
		}
		
		/* SONIDOS DE BOTONERA*/
		//////////////////////
		public function botonera(que_sonido:Number){
			/*var Sonidos_bien_juegos:Array=new Array();*/
			switch (que_sonido){
				case (que_sonido):
				sonidoJuego = "sonidos/c_menu_"+que_sonido+".mp3";
				break;
			}
			if (sonido != null){
				chanel.stop();
			}
			sonido = new Sound();
			sonido.load(new URLRequest(sonidoJuego));
			chanel = new SoundChannel();
			chanel = sonido.play();
		}
		
		/* SONIDOS DE ERROR*/
		//////////////////////
		public function fallo(){
			var Sonidos_mal:Array=new Array();
			for (var i=1; i<=1; i++){
				Sonidos_mal.push("m"+i+".mp3");
			}
			var m = int(Math.random()*1)+1;
				switch (m){
				case (m):
					sonidoJuego = "sonidos/"+Sonidos_mal[m-1];
					break;
				}
			sonido = new Sound();
			sonido.load(new URLRequest(sonidoJuego));
			chanel = new SoundChannel();
			chanel = sonido.play();
		}
		
		/* SONIDOS DE SFX GENÉRICOS*/
		//////////////////////
		public function sonidos_efectos_genericos(efecto:String, num:Number){
			sonido = new Sound();
			chanel = new SoundChannel();
				switch (efecto){
					case "descubreytapa":
					sonidoJuego = "sonidos/sfx_gen_"+num+".mp3";
					break;
				
					case "ambiente":
					sonidoJuego = "sonidos/sfx_amb_"+num+".mp3";
					
					break;
				}
				if (sonido != null){
				chanel.stop();
			}
			
			sonido.load(new URLRequest(sonidoJuego));
			chanel = sonido.play();
			
		}
		
		/* SONIDOS DE AMBIENTE VOLUMEN BAJO*/
		//////////////////////
		public function sonidos_ambiente_bajo(num:Number){
			/*chanel.stop();*/
			sonido2 = new Sound();
			sonidoJuego = "sonidos/sfx_amb_"+num+".mp3";
			sonido2.load(new URLRequest(sonidoJuego));
			chanel2 = new SoundChannel;
			chanel2 = sonido2.play(1000,int.MAX_VALUE);	
			volumen = new SoundTransform(vol,pan);
			chanel2.soundTransform = volumen;
		}
		
		/* SONIDOS DE AMBIENTE VOLUMEN BUCLE*/
		//////////////////////
		public function sonidos_ambiente_bucle(num:Number){
			/*chanel.stop();*/
			sonido = new Sound();
			sonidoJuego = "sonidos/sfx_amb_"+num+".mp3";
			sonido.load(new URLRequest(sonidoJuego));
			chanel = new SoundChannel;
			chanel = sonido.play(0,int.MAX_VALUE);	
		}
		
    }
}

